export type VariableRange = number[] | string[]
export interface DateRange {
    from: string,
    to: string
}

export interface Statistics {
    nbr_points: number,
    min: number,
    max: number,
    mean: number,
    median: number,
    std_dev: number,
    lower_quartile: number,
    upper_quartile: number,
    distinct_values?: number,
    mode?: string,
}

export interface DataItem {
    date: string;
    value: number;
}

export interface Graph {
    variable: string,
    rank: number,
    recommended_zone: number[],
    impact: number,
    avg_defect: number,
    data: number[][],
    variable_type: "num" | "cat"
}

export interface State {
    title: string,
    points: number,
    good_pct: number
}

export interface SavedStudy {
    id: string,
    studyDate: string,
    userEmail: string,
    target: string,
    dateRange: DateRange,
    targetType?: "num" | "cat",
    // date_range: string[],
    fullDate: string,
    initalState?: State,
    currentState?: State,
    ratio?: any,
    targetInfo: TargetInfo,
    savedVariables?: Variable[];
    selectedVariables?: string[];
    missingVariables?: string[];
    bin?: number;
    selectedFilters?: DraftFilterInfo[];
    selectedRange?: string[]
}
export interface Variable {
    name: string,
    range: number[] | string[],
    error?: string,
}
export interface TargetState {
    initial_state: State,
    current_state: State,
    variables: String,
    saved_variables: Variable[]
}