import packageInfo from '../../package.json';
const version = packageInfo.version;

export enum WT1EventActions {
    UPDATE_DATE_RANGE = 'update-date-range',
    UPDATE_TARGET_VARIABLE = 'update-target-variable',
    RETRIEVE_TARGETS = 'retrieve-targets',
    RETRIEVE_TARGET_RANGE = 'retrieve-target-range',
    APPLY = 'apply',
    CREATE_TARGET_CHART = 'create-target-chart',
    DEFINE_RANGE    = 'define-range',
    CHANGE_GRAPH_MODE = 'change-graph-mode',
    SAVE_RANGE = 'save-range',
    DELETE_VARIABLE = 'delete-variable',
    SAVE_STUDY = 'save-study',
    DELETE_STUDY = 'delete-study',
    VIEW_STUDY = 'view-study',
    COPY_STUDY = 'copy-study',
    RETRIEVE_VARIABLES= 'retrieve-variables',
}
enum WT1Event {
    OPEN = 'sol-webapp-open',
    ACTION = 'sol-webapp-action'
}
export class WT1iser {
  
  private static solutionVersion = version
  private static solutionID = 'PARAMS-ANALYZER'


  private static prepareEventParams(tab: string) {
    return {
      tab: tab,
      solutionVersion: this.solutionVersion,
      solutionID: this.solutionID
    }
  }
  public static open(tab: string): void {
    const params = this.prepareEventParams(tab)
    console.debug(WT1Event.OPEN, params)
    if ((window.parent as any).WT1SVC) {
      ;(window.parent as any).WT1SVC.event(WT1Event.OPEN, params)
    }
  }
  public static action(
    actionsName: string,
    tab: string,
    extraParams?: Record<string, any>
  ): void {
    const params = {
      ...this.prepareEventParams(tab),
      action: actionsName,
      ...extraParams
    }
    console.debug(WT1Event.ACTION, params)
    if ((window.parent as any).WT1SVC) {
      ;(window.parent as any).WT1SVC.event(WT1Event.ACTION, params)
    }
  }

}
