Once the Dataiku Application configured, the web application should be easy to use.

# Launch a new analysis
## Target definition
In the period section, select the range of the reference date selected in the Dataiku Application. The entire range of this date is automatically selected.
Then, select a target variable, the outcome you want to analyze and click Apply.
If you have a limited number of points to display (<50,000) you'll see the time series chart that will help you select the outcome ok range:
![webapp_1.png](1sVnW5kDsH05)

You can now select the ok range of your target variable with the slider on the left and click Apply. The chart will be colored and you'll get the target variable distribution:
![webapp_2.png](Lx67n8jT4JIw)

## Variables selection & results
The next step is in the second tab on the left, in which you'll select the variables to analyze. You can directly type into this field to filter in and out some variables. Once your variables selection done, you can adjust the number of classes, from 10 to 30. it's the number of points displayed on the charts. To have more informations on this parameter, check the [Methodology article](article:8)
![webapp_3.gif](DNwKPXxmCvqi)

Click on run to get the result: The most impacting variables on the selected outcome are ranked by a correlaction factor. On each chart, you have:
- The name and type of the variable in the title
- The average nok rate: the percentage of nok points calculated on non-empty rows
- The rank and correlation of this variable

In the default bubbles charts, the size of the bubble shows the number of point in this bubble, the horizontal line of the bubble shows the interval, the dashed line shows the average nok rate of the variable and the color is green if the nok rate of this interval is below the average nok rate.
The last option is to display the charts in 'expert mode', an histogram view of the same informations where the grey histogram shows the number of points and the bars are starting from the average nok rate line, upward if the defect rate is superior to the average nok rate, downward if the defect rate is inferior.
Below, a comparison of the 2 possible chart

![result_chart.png](0wzMHTvpmJsR)
> Standard mode chart

<br>

![result_chart_expert.png](B2vmV27wDDAZ)
> Expert mode chart

<br>

## Define a new rule
Once the results have been obtained, you can start defining a rule, that is to say, a combination of several parameter intervals. Just select a variable, adjust the range or select the modalities and click on save range.
![study_setup.png](qnwIpzlv7lAB)
On the top, you'll have: 
- The initial population (number of points and nok rate in the analysis)
- The currently selected population (number of points and nok rate in the selected ranges)
- The ratio: the percentage of the initial population and percentage of improvement in the selected ranges

We are here always showing the result of the combination of the selected ranges.

# Explore saved studies and work on a copy
Instead of launching a new analysis, you can check the existing saved studies by directly going to the fourth tab.
Select the study you want to display and from here, and then work on a copy. This will reload the study with the saved analysis parameters
![study_setup.png](qnwIpzlv7lAB)
